**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/24.1/file-staging/delete-file-or-folder.md

# Delete File or Folder



Delete an individual file or folder from the file staging server.

<Endpoint path="/api/{version}/services/file_staging/items/{item}" method="DELETE"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `item` | The absolute path to the file or folder to delete. This path is specific to the authenticated user. Admin users can access the root directory.  All other users can only access their own user directory. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `recursive` | Applicable to deleting folders only. If `true`, the request will delete the contents of a folder and all subfolders. The default is `false`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L -X DELETE -H "Authorization:{SESSION_ID}"" \
-H "Accept: application/json" \
https://myvault.veevavault.com/api/v20.3/services/file_staging/items/u10001400/promotional2021?recursive=true

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "job_id": 100953,
       "url": "/api/v20.3/services/jobs/100953"
   }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response contains the following information:

<FieldTable>
| Name | Description |
| --- | --- |
| `job_id` | The Job ID value to retrieve the status and results of the request. |
| `url` | URL to retrieve the current job status of this request. |
</FieldTable>

## Deleting Files in the Inbox Directory {#deleting-files-in-the-inbox-directory}

Deleting files from your Vault's *Inbox* directory does not delete corresponding *Staged* documents Vault created when the files were uploaded. [Learn more in Vault Help](https://platform.veevavault.help/en/lr/38653).



---

**Previous:** [Update Folder or File](/vault-api/api-reference/24.1/file-staging/update-folder-or-file)  
**Next:** [Resumable Upload Sessions](/vault-api/api-reference/24.1/file-staging/resumable-upload-sessions)